libvisio::VSDGeometry Class Reference
Inheritance diagram for libvisio::VSDGeometry:

## Public Member Functions

| VSDGeometry (unsigned id, unsigned level, const std::optional< bool > &noFill, const std::optional< bool > &noLine, const std::optional< bool > &noShow)
| ~VSDGeometry () override
void | handle (VSDCollector *collector) const override
VSDGeometryListElement * | clone () override
Public Member Functions inherited from libvisio::VSDGeometryListElement
| VSDGeometryListElement (unsigned id, unsigned level)
virtual | ~VSDGeometryListElement ()
virtual unsigned | getDataID () const
void | setLevel (unsigned level)

## Public Attributes

bool | m_noFill
bool | m_noLine
bool | m_noShow

## Additional Inherited Members

Protected Attributes inherited from libvisio::VSDGeometryListElement
unsigned | m_id
unsigned | m_level

## Constructor & Destructor Documentation

## VSDGeometry()

libvisio::VSDGeometry::VSDGeometry | ( | unsigned | id,
|  | unsigned | level,
|  | const std::optional< bool > & | noFill,
|  | const std::optional< bool > & | noLine,
|  | const std::optional< bool > & | noShow )

inline

Referenced by clone().

## ~VSDGeometry()

libvisio::VSDGeometry::~VSDGeometry | ( |  | ) |

inline override

## Member Function Documentation

## clone()

libvisio::VSDGeometryListElement * libvisio::VSDGeometry::clone | ( |  | ) |

override virtual

Implements libvisio::VSDGeometryListElement.

## handle()

void libvisio::VSDGeometry::handle | ( | VSDCollector * | collector | ) | const

override virtual

Implements libvisio::VSDGeometryListElement.

## Member Data Documentation

## m_noFill

bool libvisio::VSDGeometry::m_noFill

Referenced by clone(), handle(), and VSDGeometry().

## m_noLine

bool libvisio::VSDGeometry::m_noLine

Referenced by clone(), handle(), and VSDGeometry().

## m_noShow

bool libvisio::VSDGeometry::m_noShow

Referenced by clone(), handle(), and VSDGeometry().

The documentation for this class was generated from the following file:

- VSDGeometryList.cpp